| Exiv2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Exiv2::Internal::Nikon3MakerNote Class Reference

A third MakerNote format used by Nikon cameras, e.g., E5400, SQ, D2H, D70. More...

`#include <nikonmn_int.hpp>`

## Static Public Member Functions
static const TagInfo * | tagList ()
| Return read-only list of built-in Nikon3 tags.
static const TagInfo * | tagListVr ()
| Return read-only list of built-in Vibration Reduction tags.
static const TagInfo * | tagListPc ()
| Return read-only list of built-in Picture Control tags.
static const TagInfo * | tagListWt ()
| Return read-only list of built-in World time tags.
static const TagInfo * | tagListIi ()
| Return read-only list of built-in ISO info tags.
static const TagInfo * | tagListAf ()
| Return read-only list of built-in Auto Focus tags.
static const TagInfo * | tagListAf21 ()
| Return read-only list of built-in Auto Focus 2 tags.
static const TagInfo * | tagListAf22 ()
| Return read-only list of built-in Auto Focus 2 tags.
static const TagInfo * | tagListAFT ()
| Return read-only list of built-in AF Fine Tune tags.
static const TagInfo * | tagListFi ()
| Return read-only list of built-in File Info tags.
static const TagInfo * | tagListMe ()
| Return read-only list of built-in Multi Exposure tags.
static const TagInfo * | tagListFl1 ()
| Return read-only list of built-in Flash Info 1 tags.
static const TagInfo * | tagListFl2 ()
| Return read-only list of built-in Flash Info 2 tags.
static const TagInfo * | tagListFl3 ()
| Return read-only list of built-in Flash Info 3 tags.
static const TagInfo * | tagListFl6 ()
| Return read-only list of built-in Flash Info 6 (0106) tags.
static const TagInfo * | tagListFl7 ()
| Return read-only list of built-in Flash Info 7 (0107 and 0108) tags.
static const TagInfo * | tagListSi1 ()
| Return read-only list of built-in Shot Info D80 tags.
static const TagInfo * | tagListSi2 ()
| Return read-only list of built-in Shot Info D40 tags.
static const TagInfo * | tagListSi3 ()
| Return read-only list of built-in Shot Info D300 (a) tags.
static const TagInfo * | tagListSi4 ()
| Return read-only list of built-in Shot Info D300 (b) tags.
static const TagInfo * | tagListSi5 ()
| Return read-only list of built-in Shot Info tags.
static const TagInfo * | tagListCb1 ()
| Return read-only list of built-in Color Balance 1 tags.
static const TagInfo * | tagListCb2 ()
| Return read-only list of built-in Color Balance 2 tags.
static const TagInfo * | tagListCb2a ()
| Return read-only list of built-in Color Balance 2a tags.
static const TagInfo * | tagListCb2b ()
| Return read-only list of built-in Color Balance 2b tags.
static const TagInfo * | tagListCb3 ()
| Return read-only list of built-in Color Balance 3 tags.
static const TagInfo * | tagListCb4 ()
| Return read-only list of built-in Color Balance 4 tags.
static const TagInfo * | tagListLd1 ()
| Return read-only list of built-in Lens Data 1 tags.
static const TagInfo * | tagListLd2 ()
| Return read-only list of built-in Lens Data 2 tags.
static const TagInfo * | tagListLd3 ()
| Return read-only list of built-in Lens Data 3 tags.
static const TagInfo * | tagListLd4 ()
| Return read-only list of built-in Lens Data 4 tags.

## Print functions for Nikon3 MakerNote tags
static std::ostream & | print0x0002 (std::ostream &os, const Value &value, const ExifData *)
| Print ISO setting.
static std::ostream & | print0x0007 (std::ostream &os, const Value &value, const ExifData *)
| Print autofocus mode.
static std::ostream & | print0x0083 (std::ostream &os, const Value &value, const ExifData *)
| Print lens type.
static std::ostream & | print0x0084 (std::ostream &os, const Value &value, const ExifData *)
| Print lens information.
static std::ostream & | print0x0085 (std::ostream &os, const Value &value, const ExifData *)
| Print manual focus distance.
static std::ostream & | print0x0086 (std::ostream &os, const Value &value, const ExifData *)
| Print digital zoom setting.
static std::ostream & | print0x0088 (std::ostream &os, const Value &value, const ExifData *)
| Print AF point.
static std::ostream & | print0x0089 (std::ostream &os, const Value &value, const ExifData *metadata)
| Print shooting mode.
static std::ostream & | print0x008b (std::ostream &os, const Value &value, const ExifData *)
| Print number of lens stops.
static std::ostream & | printAfPointsInFocus (std::ostream &os, const Value &value, const ExifData *metadata)
| Print AF Points In Focus.
static std::ostream & | printLensId (std::ostream &os, const Value &value, const ExifData *metadata, const std::string &group)
| Print lens name.
static std::ostream & | printLensId1 (std::ostream &os, const Value &value, const ExifData *metadata)
static std::ostream & | printLensId2 (std::ostream &os, const Value &value, const ExifData *metadata)
static std::ostream & | printLensId3 (std::ostream &os, const Value &value, const ExifData *metadata)
static std::ostream & | printLensId4 (std::ostream &os, const Value &value, const ExifData *metadata)
static std::ostream & | printLensId4ZMount (std::ostream &os, const Value &value, const ExifData *)
| Print lensname for ZMount Lens in new LensData as used for e.g. Nikon Z 6/7.
static std::ostream & | printFocusDistance (std::ostream &os, const Value &value, const ExifData *)
| Print focus distance.
static std::ostream & | printFocusDistanceLd4 (std::ostream &os, const Value &value, const ExifData *)
| Print focus distance for new LensData as used for e.g. Nikon Z 6/7.
static std::ostream & | printAperture (std::ostream &os, const Value &value, const ExifData *)
| Print lens aperture value.
static std::ostream & | printApertureLd4 (std::ostream &os, const Value &value, const ExifData *)
| Print lens aperture value for new LensData as used for e.g. Nikon Z 6/7.
static std::ostream & | printFocal (std::ostream &os, const Value &value, const ExifData *)
| Print lens focal length.
static std::ostream & | printFocalLd4 (std::ostream &os, const Value &value, const ExifData *)
| Print Focal length value for new LensData as used for e.g. Nikon Z 6/7.
static std::ostream & | printFStops (std::ostream &os, const Value &value, const ExifData *)
| Print lens f-stops.
static std::ostream & | printExitPupilPosition (std::ostream &os, const Value &value, const ExifData *)
| Print exit pupil position.
static std::ostream & | print0x009a (std::ostream &os, const Value &value, const ExifData *)
| Print sensor pixel size.
static std::ostream & | print0x009e (std::ostream &os, const Value &value, const ExifData *)
| Print retouch history.
static std::ostream & | printIiIso (std::ostream &os, const Value &value, const ExifData *)
| Print Exif.NikonIi.ISO(2).
static std::ostream & | printFlashFocalLength (std::ostream &os, const Value &value, const ExifData *)
| Print flash focal length.
static std::ostream & | printRepeatingFlashRate (std::ostream &os, const Value &value, const ExifData *)
| Print repeating flash rate.
static std::ostream & | printRepeatingFlashCount (std::ostream &os, const Value &value, const ExifData *)
| Print repeating flash count.
static std::ostream & | printExternalFlashData1Fl6 (std::ostream &os, const Value &value, const ExifData *)
| Print external flash data 1 value when using NikonFl6.
static std::ostream & | printExternalFlashData1Fl7 (std::ostream &os, const Value &value, const ExifData *)
| Print external flash data 1 value when using NikonFl7.
static std::ostream & | printExternalFlashData2Fl6 (std::ostream &os, const Value &value, const ExifData *)
| Print external flash data 1 value when using NikonFl6.
static std::ostream & | printExternalFlashData2 (std::ostream &os, const Value &value, const ExifData *)
| Print external flash data 2 value.
static std::ostream & | printFlashMasterDataFl6 (std::ostream &os, const Value &value, const ExifData *)
| Print flash compensation value for the Master when using NikonFl6.
static std::ostream & | printFlashMasterDataFl7 (std::ostream &os, const Value &value, const ExifData *)
| Print flash compensation value for the Master when using NikonFl7.
static std::ostream & | printFlashGroupAControlData (std::ostream &os, const Value &value, const ExifData *data)
| Print flash group A control data value.
static std::ostream & | printFlashGroupBCControlData (std::ostream &os, const Value &value, const ExifData *data)
| Print flash group B/C control data value.
static std::ostream & | printFlashGroupADataFl6 (std::ostream &os, const Value &value, const ExifData *)
| Print flash compensation value for group A when using NikonFl6.
static std::ostream & | printFlashGroupADataFl7 (std::ostream &os, const Value &value, const ExifData *)
| Print flash compensation value for group A when using NikonFl7.
static std::ostream & | printFlashGroupBDataFl6 (std::ostream &os, const Value &value, const ExifData *)
| Print flash compensation value for group B when using NikonFl6.
static std::ostream & | printFlashGroupBDataFl7 (std::ostream &os, const Value &value, const ExifData *)
| Print flash compensation value for group B when using NikonFl7.
static std::ostream & | printFlashGroupCDataFl6 (std::ostream &os, const Value &value, const ExifData *)
| Print flash compensation value for group C when using NikonFl6.
static std::ostream & | printFlashGroupCDataFl7 (std::ostream &os, const Value &value, const ExifData *)
| Print flash compensation value for group C when using NikonFl7.
static std::ostream & | printExternalFlashData3 (std::ostream &os, const Value &value, const ExifData *)
| Print external flash data 3 value.
static std::ostream & | printCameraExposureCompensation (std::ostream &os, const Value &value, const ExifData *)
| Print flash camera exposure compensation values.
static std::ostream & | printExternalFlashData4 (std::ostream &os, const Value &value, const ExifData *)
| Print external flash data 4 value.
static std::ostream & | printFlashZoomHeadPosition (std::ostream &os, const Value &value, const ExifData *)
| Print flash head zoom value.
static std::ostream & | printTimeZone (std::ostream &os, const Value &value, const ExifData *)
| Print time zone.
static std::ostream & | printPictureControl (std::ostream &os, const Value &value, const ExifData *)
| Print picture control value.

## Detailed Description

A third MakerNote format used by Nikon cameras, e.g., E5400, SQ, D2H, D70.

The documentation for this class was generated from the following files:

- nikonmn_int.hpp
- nikonmn_int.cpp